mariocasciaro mariocasciaro

react-redux-universal-hot-example

30 55 1

A starter boilerplate for a universal webapp using express, react, redux, webpack, and react-transform

You have 1 open security alert

Dependencies

Package Locked Requirement Latest Status Changelog
Npms babel ~5.8.29 6.23.0

babel

Turn ES6 code into readable vanilla ES5 with source maps

This dependency is not matching latest version. Please consider upgrading.

Npms babel-plugin-typecheck ^2.0.0 3.9.0

babel-plugin-typecheck

Transforms flow type annotations into runtime type checks.

This dependency is not matching latest version. Please consider upgrading.

Npms body-parser ^1.14.1 1.18.2

body-parser

Node.js body parsing middleware

This dependency is up-to-date. Congrats and keep going!

Npms compression ^1.6.0 1.7.2

compression

Node.js compression middleware

This dependency is up-to-date. Congrats and keep going!

Npms express ^4.13.3 4.16.2

express

Fast, unopinionated, minimalist web framework

This dependency is up-to-date. Congrats and keep going!

Npms express-session ^1.12.1 1.15.6

express-session

Simple session middleware for Express

This dependency is up-to-date. Congrats and keep going!

Npms file-loader ^0.8.4 1.1.6

file-loader

file loader module for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms history ^1.13.1 4.7.2

history

Manage session history with JavaScript

This dependency is not matching latest version. Please consider upgrading.

Npms hoist-non-react-statics ^1.0.3 2.5.0

hoist-non-react-statics

Copies non-react specific statics from a child component to a parent component

This dependency is not matching latest version. Please consider upgrading.

Npms http-proxy ^1.12.0 1.16.2

http-proxy

HTTP proxying for the masses

This dependency is up-to-date. Congrats and keep going!

Npms less ^2.5.3 3.0.1

less

Leaner CSS

This dependency is not matching latest version. Please consider upgrading.

Npms less-loader ^2.2.1 4.0.5

less-loader

Less loader for webpack. Compiles Less to CSS.

This dependency is not matching latest version. Please consider upgrading.

Npms lru-memoize ^1.0.0 1.0.2

lru-memoize

A utility to provide lru memoization for any js function

This dependency is up-to-date. Congrats and keep going!

Npms map-props ^1.0.0 1.0.0

map-props

A higher order component to map React props

This dependency is up-to-date. Congrats and keep going!

Npms multireducer ^1.0.2 3.1.0

multireducer

A utility to wrap many copies of a single Redux reducer into a single key-based reducer.

This dependency is not matching latest version. Please consider upgrading.

Npms piping ^0.3.0 1.0.0-rc.4

piping

Keep your code piping hot! Live code reloading without additional binaries

This dependency is not matching latest version. Please consider upgrading.

Npms pretty-error ^1.2.0 2.1.1

pretty-error

See nodejs errors with less clutter

This dependency is not matching latest version. Please consider upgrading.

Npms query-string ^3.0.0 5.1.0

query-string

Parse and stringify URL query strings

This dependency is not matching latest version. Please consider upgrading.

Npms react ^0.14.2 16.2.0

react

React is a JavaScript library for building user interfaces.

This dependency is not matching latest version. Please consider upgrading.

Npms react-bootstrap ^0.27.3 0.32.1

react-bootstrap

Bootstrap 3 components built with React

This dependency is not matching latest version. Please consider upgrading.

Npms react-document-meta ^2.0.0 2.1.2

react-document-meta

Declarative, nested and stateful HTML document meta tags for React

This dependency is up-to-date. Congrats and keep going!

Npms react-dom ^0.14.1 16.2.0

react-dom

React package for working with the DOM.

This dependency is not matching latest version. Please consider upgrading.

Npms react-inline-css ^2.0.0 2.3.0

react-inline-css

Inline CSS in your React components, namespaced automatically.

This dependency is up-to-date. Congrats and keep going!

Npms react-redux ^4.0.0 5.0.7

react-redux

Official React bindings for Redux

This dependency is not matching latest version. Please consider upgrading.

Npms react-router ^1.0.0-rc4 4.2.0

react-router

Declarative routing for React

This dependency is not matching latest version. Please consider upgrading.

Npms react-router-bootstrap ^0.19.3 0.24.4

react-router-bootstrap

Integration between React Router and React-Bootstrap

This dependency is not matching latest version. Please consider upgrading.

Npms redux ^3.0.4 3.7.2

redux

Predictable state container for JavaScript apps

This dependency is up-to-date. Congrats and keep going!

Npms redux-form ^3.0.0 7.2.3

redux-form

A higher order component decorator for forms using Redux and React

This dependency is not matching latest version. Please consider upgrading.

Npms redux-simple-router 0.0.8 2.0.4

redux-simple-router

Ruthlessly simple bindings to keep react-router and redux in sync

This dependency is not matching latest version. Please consider upgrading.

Npms scroll-behavior ^0.3.0 0.9.9

scroll-behavior

Pluggable browser scroll management

This dependency is not matching latest version. Please consider upgrading.

Npms serialize-javascript ^1.1.2 1.4.0

serialize-javascript

Serialize JavaScript to a superset of JSON that includes regular expressions and functions.

This dependency is up-to-date. Congrats and keep going!

Npms serve-favicon ^2.3.0 2.4.5

serve-favicon

favicon serving middleware with caching

This dependency is up-to-date. Congrats and keep going!

Npms serve-static ^1.10.0 1.13.2

serve-static

Serve static files

This dependency is up-to-date. Congrats and keep going!

Npms socket.io ^1.3.7 2.0.4

socket.io

node.js realtime framework server

This dependency is not matching latest version. Please consider upgrading.

Npms socket.io-client ^1.3.7 2.0.4

socket.io-client

[![Build Status](https://secure.travis-ci.org/socketio/socket.io-client.svg?branch=master)](http://travis-ci.org/socketio/socket.io-client) [![Dependency Status](https://david-dm.org/socketio/socket.io-client.svg)](https://david-dm.org/socketio/socket.io-

This dependency is not matching latest version. Please consider upgrading.

Npms superagent ^1.4.0 3.8.2

superagent

elegant & feature rich browser / node HTTP with a fluent API

Security alert:

Npms url-loader ^0.5.6 0.6.2

url-loader

url loader module for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms webpack-isomorphic-tools ^2.2.4 3.0.5

webpack-isomorphic-tools

Transforms CSS-alike text into a React style JSON object

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Npms autoprefixer-loader ^3.1.0 3.2.0

autoprefixer-loader

[deprecated] Autoprefixer loader for webpack

This dependency is up-to-date. Congrats and keep going!

Npms babel-core ~5.8.33 6.26.0

babel-core

Babel compiler core.

This dependency is not matching latest version. Please consider upgrading.

Npms babel-eslint ^4.1.3 8.2.1

babel-eslint

Custom parser for ESLint

This dependency is up-to-date. Congrats and keep going!

Npms babel-loader ~5.3.3 7.1.2

babel-loader

babel module loader for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms babel-plugin-react-transform ~1.1.1 3.0.0

babel-plugin-react-transform

Babel plugin to instrument React components with custom transforms

This dependency is not matching latest version. Please consider upgrading.

Npms babel-runtime ~5.8.29 6.26.0

babel-runtime

babel selfContained runtime

This dependency is not matching latest version. Please consider upgrading.

Npms better-npm-run ^0.0.3 0.1.0

better-npm-run

Better NPM scripts runner

This dependency is not matching latest version. Please consider upgrading.

Npms bootstrap-sass ^3.3.5 3.3.7

bootstrap-sass

bootstrap-sass is a Sass-powered version of Bootstrap 3, ready to drop right into your Sass powered applications.

This dependency is up-to-date. Congrats and keep going!

Npms bootstrap-sass-loader ^1.0.9 1.0.10

bootstrap-sass-loader

bootstrap-sass package for webpack

This dependency is up-to-date. Congrats and keep going!

Npms chai ^3.3.0 4.1.2

chai

BDD/TDD assertion library for node.js and the browser. Test framework agnostic.

This dependency is not matching latest version. Please consider upgrading.

Npms clean-webpack-plugin ^0.1.3 0.1.18

clean-webpack-plugin

A webpack plugin to remove your build folder(s) before building

This dependency is up-to-date. Congrats and keep going!

Npms concurrently ^0.1.1 3.5.1

concurrently

Run commands concurrently

This dependency is not matching latest version. Please consider upgrading.

Npms css-loader ^0.20.1 0.28.9

css-loader

css loader module for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms eslint 1.8.0 4.18.0

eslint

An AST-based pattern checker for JavaScript.

This dependency is not matching latest version. Please consider upgrading.

Npms eslint-config-airbnb 0.1.0 16.1.0

eslint-config-airbnb

Airbnb's ESLint config, following our styleguide

This dependency is not matching latest version. Please consider upgrading.

Npms eslint-loader ^1.0.0 1.9.0

eslint-loader

eslint loader (for webpack)

This dependency is up-to-date. Congrats and keep going!

Npms eslint-plugin-import ^0.8.0 2.8.0

eslint-plugin-import

Import with sanity.

This dependency is not matching latest version. Please consider upgrading.

Npms eslint-plugin-react ^3.5.0 7.6.1

eslint-plugin-react

React specific linting rules for ESLint

This dependency is not matching latest version. Please consider upgrading.

Npms extract-text-webpack-plugin ^0.8.2 3.0.2

extract-text-webpack-plugin

Extract text from bundle into a file.

This dependency is not matching latest version. Please consider upgrading.

Npms font-awesome ^4.4.0 4.7.0

font-awesome

The iconic font and CSS framework

This dependency is up-to-date. Congrats and keep going!

Npms font-awesome-webpack 0.0.4 0.0.5-beta.2

font-awesome-webpack

font-awesome package for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms json-loader ^0.5.3 0.5.7

json-loader

json loader module for webpack

This dependency is up-to-date. Congrats and keep going!

Npms karma ^0.13.10 2.0.0

karma

Spectacular Test Runner for JavaScript.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-cli ^0.1.1 1.0.1

karma-cli

The Karma command line interface.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-mocha ^0.2.0 1.3.0

karma-mocha

A Karma plugin. Adapter for Mocha testing framework.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-mocha-reporter ^1.1.1 2.2.5

karma-mocha-reporter

Karma reporter with mocha style logging.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-phantomjs-launcher ^0.2.1 1.0.4

karma-phantomjs-launcher

A Karma plugin. Launcher for PhantomJS.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-sourcemap-loader ^0.3.5 0.3.7

karma-sourcemap-loader

Karma plugin that locates and loads existing javascript source map files.

This dependency is up-to-date. Congrats and keep going!

Npms karma-webpack ^1.7.0 2.0.9

karma-webpack

Use webpack with karma

This dependency is not matching latest version. Please consider upgrading.

Npms mocha ^2.3.3 5.0.0

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms node-sass ^3.3.3 4.7.2

node-sass

Wrapper around libsass

This dependency is not matching latest version. Please consider upgrading.

Npms phantomjs ^1.9.18 2.1.7

phantomjs

Headless WebKit with JS API

This dependency is not matching latest version. Please consider upgrading.

Npms phantomjs-polyfill 0.0.1 0.0.2

phantomjs-polyfill

Polyfill for Function.prototype.bind

This dependency is not matching latest version. Please consider upgrading.

Npms react-a11y ^0.2.6 1.0.0

react-a11y

Warns about potential accessibility issues with your React elements.

This dependency is not matching latest version. Please consider upgrading.

Npms react-addons-test-utils ^0.14.0 15.6.2

react-addons-test-utils

This package provides the React TestUtils add-on.

This dependency is not matching latest version. Please consider upgrading.

Npms react-transform-catch-errors ^1.0.0 1.0.2

react-transform-catch-errors

React Transform that catches errors inside React components

This dependency is up-to-date. Congrats and keep going!

Npms react-transform-hmr ^1.0.1 1.0.4

react-transform-hmr

A React Transform that enables hot reloading React classes using Hot Module Replacement API

This dependency is up-to-date. Congrats and keep going!

Npms redbox-react ^1.1.1 1.5.0

redbox-react

A redbox (rsod) component to display your errors.

This dependency is up-to-date. Congrats and keep going!

Npms redux-devtools ^3.0.0-beta-3 3.4.1

redux-devtools

Redux DevTools with hot reloading and time travel

This dependency is up-to-date. Congrats and keep going!

Npms redux-devtools-dock-monitor ^1.0.0-beta-3 1.1.3

redux-devtools-dock-monitor

A resizable and movable dock for Redux DevTools monitors

This dependency is up-to-date. Congrats and keep going!

Npms redux-devtools-log-monitor ^1.0.0-beta-3 1.4.0

redux-devtools-log-monitor

The default tree view monitor for Redux DevTools

This dependency is up-to-date. Congrats and keep going!

Npms redux-router 1.0.0-beta3 2.1.2

redux-router

Redux bindings for React Router — keep your router state inside your Redux Store.

This dependency is not matching latest version. Please consider upgrading.

Npms sass-loader ^3.0.0 6.0.6

sass-loader

Sass loader for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms strip-loader ^0.1.0 0.1.2

strip-loader

Webpack loader to strip arbitrary functions out of your production code.

This dependency is up-to-date. Congrats and keep going!

Npms style-loader ^0.13.0 0.20.2

style-loader

style loader module for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms webpack ^1.12.2 3.11.0

webpack

Packs CommonJs/AMD modules for the browser. Allows to split your codebase into multiple bundles, which can be loaded on demand. Support loaders to preprocess files, i.e. json, jsx, es7, css, less, ... and your custom stuff.

This dependency is not matching latest version. Please consider upgrading.

Npms webpack-dev-middleware ^1.2.0 2.0.5

webpack-dev-middleware

A development middleware for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms webpack-hot-middleware ^2.4.1 2.21.0

webpack-hot-middleware

Webpack hot reloading you can attach to your own server

This dependency is up-to-date. Congrats and keep going!